main = ScriptThread("Insanity")

include("../../internal/extensions/CScriptThread.lua")
include("Crazygui.lua")
include("InsanityScript.lua")

function PunishMentalMainInit()

	CrazyGUI.navButtons = {
	["menuOpen"]  = {["keys"] = {KEY_F10, KEY_NUMPAD7}, ["menu"] = "Insanity"},    ---- THESE ARE THE CONTROLS YOU CAN CHANGE THEM AS YOU WISH
	["menuClose"] = {["keys"] = {}},
	["navUp"] 	  = {["keys"] = {KEY_NUMPAD8, KEY_UP}},
	["navDown"]   = {["keys"] = {KEY_NUMPAD2, KEY_DOWN}},
	["select"] 	  = {["keys"] = {KEY_NUMPAD5, KEY_RIGHT}},
	["navBack"]   = {["keys"] = {KEY_NUMPAD0, KEY_LEFT}}}
	
	
	
	
	
	---------------------------------------------------------------------------------------------END OF CUSTOMIZATION!
	CrazyGUI.createMenu("Insanity", "", "~b~Insanity", 0.92, 0.04, 0.180, 0.05, 0.00000, 0.55, 1)
	CrazyGUI.addButton("Insanity", "~b~Peds", CrazyGUI.setActiveMenu, "PedTorment", false, 0.30, 0)
	CrazyGUI.addButton("Insanity", "~b~Cars", CrazyGUI.setActiveMenu, "CarTorment", false, 0.30, 0)
	CrazyGUI.addButton("Insanity", "~b~World", CrazyGUI.setActiveMenu, "WorldTorment", false, 0.30, 0)
	
	
	
	
	CrazyGUI.createMenu("WorldTorment", "Insanity", "~c~Insanity", 0.92, 0.04, 0.180, 0.05, 0.00000, 0.55, 1)
	CrazyGUI.addButton("WorldTorment", "~b~Purge V2", InsanityScript.PurgeToggle, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment", "~b~Ped War V2", InsanityScript.NearbyWarToggle, nil, true, 0.30, 0) 
	CrazyGUI.addButton("WorldTorment", "~b~Everyone Has Weapons", InsanityScript.EveryoneHasWeaponsToggle, nil, true, 0.30, 0) 
	CrazyGUI.addButton("WorldTorment", "~b~Alien Invasion V2", InsanityScript.WarAliensToggle, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment", "~b~Shotgun Zombie Invasion V2", InsanityScript.ZombieInvasionToggle, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment", "~b~Asteroid Rain V2", InsanityScript.AsteroidRain, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment", "~b~Ghost Town", InsanityScript.GhostTownToggle, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment", "~b~Gravitron", InsanityScript.GravitronToggle, nil, true, 0.30, 0)
	CrazyGUI.addButton("WorldTorment", "~b~Gravitron Extreme", InsanityScript.GravBlasterToggle, nil, true, 0.30, 0)
	CrazyGUI.addButton("WorldTorment", "~b~Gravitron Mixed Up", InsanityScript.TeleportBombToggle, nil, true, 0.30, 0)
	CrazyGUI.addButton("WorldTorment", "~b~------------------PAGE 2------------------", CrazyGUI.setActiveMenu, "WorldTorment2", false, 0.30, 0)

	CrazyGUI.createMenu("WorldTorment2", "Insanity", "~c~Insanity", 0.92, 0.04, 0.180, 0.05, 0.00000, 0.55, 1)
	CrazyGUI.addButton("WorldTorment2", "~b~Aliens Vs Zombies", InsanityScript.WarAliensVsZombiesToggle, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment2", "~b~Hood Vs Police", InsanityScript.WarHoodVsPoliceToggle, nil, true, 0.30, 0)
	--[[CrazyGUI.addButton("WorldTorment2", "~b~Total War", InsanityScript.WarTotalWarToggle, nil, true, 0.30, 0) 
	CrazyGUI.addButton("WorldTorment2", "~b~", InsanityScript.WarAliensToggle, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment2", "~b~", InsanityScript.ZombieInvasionToggle, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment2", "~b~", InsanityScript.AsteroidRain, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment2", "~b~", InsanityScript.GhostTownToggle, nil, true, 0.30, 0)  
	CrazyGUI.addButton("WorldTorment2", "~b~", InsanityScript.GravitronToggle, nil, true, 0.30, 0)
	CrazyGUI.addButton("WorldTorment2", "~b~", InsanityScript.GravBlasterToggle, nil, true, 0.30, 0)
	CrazyGUI.addButton("WorldTorment2", "~b~", InsanityScript.TeleportBombToggle, nil, true, 0.30, 0)]]



	CrazyGUI.createMenu("PedTorment", "Insanity", "~c~Insanity", 0.92, 0.04, 0.180, 0.05, 0.00000, 0.55, 1)
	CrazyGUI.addButton("PedTorment", "~b~Speed Up Nearby Peds", InsanityScript.SpeedUpNearbyPed, nil, true, 0.30, 0)  
	CrazyGUI.addButton("PedTorment", "~b~Fly Up Nearby Peds", InsanityScript.FlyUpNearbyPed, nil, true, 0.30, 0)  
	CrazyGUI.addButton("PedTorment", "~b~Fall Nearby Peds", InsanityScript.FallNearbyPed, nil, true, 0.30, 0)  
	CrazyGUI.addButton("PedTorment", "~b~All Punishments", InsanityScript.AllThePunishmentsPed, nil, true, 0.30, 0) 
	CrazyGUI.addButton("PedTorment", "~b~Kick Ped From Car", InsanityScript.KickFromCarPed, nil, true, 0.30, 0) 

	CrazyGUI.createMenu("CarTorment", "Insanity", "~c~Insanity", 0.92, 0.04, 0.180, 0.05, 0.00000, 0.55, 1)
	CrazyGUI.addButton("CarTorment", "~b~Crush Cars", InsanityScript.CrushNearby, nil, true, 0.30, 0)  
	CrazyGUI.addButton("CarTorment", "~b~Pop Car Tires", InsanityScript.PopNearby, nil, true, 0.30, 0)  
	CrazyGUI.addButton("CarTorment", "~b~Explode Cars", InsanityScript.ExplodeNearby, nil, true, 0.30, 0)  
	CrazyGUI.addButton("CarTorment", "~b~Speed Up Cars", InsanityScript.SpeedUpNearby, nil, true, 0.30, 0)  
	CrazyGUI.addButton("CarTorment", "~b~Fly Up Cars", InsanityScript.FlyUpNearby, nil, true, 0.30, 0) 
	CrazyGUI.addButton("CarTorment", "~b~Destroy Cars", InsanityScript.DestroyNearby, nil, true, 0.30, 0) 
	CrazyGUI.addButton("CarTorment", "~b~Disappear Cars", InsanityScript.DisappearNearby, nil, true, 0.30, 0) 
	CrazyGUI.addButton("CarTorment", "~b~Explosive Impact Cars", InsanityScript.ExplosivesNearby, nil, true, 0.30, 0)
	CrazyGUI.addButton("CarTorment", "~b~Fall Trough Map Cars", InsanityScript.FallNearby, nil, true, 0.30, 0)
	CrazyGUI.addButton("CarTorment", "~b~All Punishments", InsanityScript.AllThePunishments, nil, true, 0.30, 0)
	CrazyGUI.addButton("CarTorment", "~b~Upgrade", InsanityScript.UpgradeNearby, nil, true, 0.30, 0)

end

function main:Run()
	PunishMentalMainInit()
	InsanityScript.init()
	MenuTimer = nil
	
	
	while self:IsRunning() do
		if(plyPed ~= natives.PLAYER.PLAYER_PED_ID()) then plyPed = natives.PLAYER.PLAYER_PED_ID() end
		if(ply ~= natives.PLAYER.PLAYER_ID()) then ply = natives.PLAYER.PLAYER_ID() end
		if(veh ~= natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true)) then veh = natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true) end

		if CrazyGUI.activeMenu == "Insanity" or CrazyGUI.activeMenu == "WorldTorment" or CrazyGUI.activeMenu == "PedTorment" or CrazyGUI.activeMenu == "CarTorment" or CrazyGUI.activeMenu == "WorldTorment2" then
			if MenuTimer == nil or SavedMenuTimer == nil then
				MenuTimer = natives.TIME.GET_CLOCK_MINUTES()
				SavedMenuTimer = MenuTimer
			end
			if SavedMenuTimer+1 <= natives.TIME.GET_CLOCK_MINUTES() then
				local name = CrazyGUI.activeMenu
				CrazyGUI.menu[name].title = "~b~I~c~n~b~s~c~a~b~n~c~i~b~t~c~y"
				if SavedMenuTimer+2 <= natives.TIME.GET_CLOCK_MINUTES() then
					CrazyGUI.menu[name].title = "~c~I~b~n~c~s~b~a~c~n~b~i~c~t~b~y"
				end
				if SavedMenuTimer+3 <= natives.TIME.GET_CLOCK_MINUTES() then
					CrazyGUI.menu[name].title = "~c~By:~b~Sod"
					MenuTimer = nil
				end

			end
		end
		CrazyGUI.tick()
		InsanityScript.tick()
		
		self:Wait(0)
	end
end

function main:OnError()
	self:Kill()
	addon.Load("Insanity")
end

main:Register()

	